CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties
CommandMessenger.BinaryConverter Class Reference

List of all members.

## Static Public Member Functions
static string | ToString (float value)
| Convert a float into a string representation.
static string | ToString (Double value)
| Convert a Double into a string representation.
static string | ToString (int value)
| Convert an int into a string representation.
static string | ToString (uint value)
| Convert an unsigned int into a string representation.
static string | ToString (short value)
| Convert a short into a string representation.
static string | ToString (ushort value)
| Convert an unsigned an unsigned short into a string representation.
static string | ToString (byte value)
| Convert a byte into a string representation.
static float | ToFloat (String value)
| Converts a string to a float.
static Double | ToDouble (String value)
| Converts a string representation to a double.
static Int32 | ToInt32 (String value)
| Converts a string representation to an int 32.
static UInt32 | ToUInt32 (String value)
| Converts a string representation to a u int 32.
static UInt16 | ToUInt16 (String value)
| Converts a string representation to a u int 16.
static Int16 | ToInt16 (String value)
| Converts a string representation to an int 16.
static byte | ToByte (String value)
| Converts a string representation to a byte.
static byte[] | EscapedStringToBytes (String value)
| Converts an escaped string to a bytes array.
static byte[] | StringToBytes (string value)
| Converts a string to a bytes array.
static byte[] | CharsToBytes (char[] value)
| Converts a char array to a bytes array.
## Properties
Encoding | StringEncoder`[set]`
| Sets the string encoder.

## Member Function Documentation

static byte [] CommandMessenger.BinaryConverter.CharsToBytes | ( | char[] | value | ) | `[static]`

Converts a char array to a bytes array.

Parameters:

  value | The value to be converted.

Returns:
  input value as a byte array.

static byte [] CommandMessenger.BinaryConverter.EscapedStringToBytes | ( | String | value | ) | `[static]`

Converts an escaped string to a bytes array.

Parameters:

  value | The value to be converted.

Returns:
  input value as an escaped string.

static byte [] CommandMessenger.BinaryConverter.StringToBytes | ( | string | value | ) | `[static]`

Converts a string to a bytes array.

Parameters:

  value | The value to be converted.

Returns:
  input value as a byte array.

static byte CommandMessenger.BinaryConverter.ToByte | ( | String | value | ) | `[static]`

Converts a string representation to a byte.

Parameters:

  value | The value to be converted.

Returns:
  Input string as a byte?

static Double CommandMessenger.BinaryConverter.ToDouble | ( | String | value | ) | `[static]`

Converts a string representation to a double.

Parameters:

  value | The value to be converted.

Returns:
  Input string as a Double?

static float CommandMessenger.BinaryConverter.ToFloat | ( | String | value | ) | `[static]`

Converts a string to a float.

Parameters:

  value | The value to be converted.

Returns:
  Input string as a float?

static Int16 CommandMessenger.BinaryConverter.ToInt16 | ( | String | value | ) | `[static]`

Converts a string representation to an int 16.

Parameters:

  value | The value to be converted.

Returns:
  This object as an Int16?

static Int32 CommandMessenger.BinaryConverter.ToInt32 | ( | String | value | ) | `[static]`

Converts a string representation to an int 32.

Parameters:

  value | The value to be converted.

Returns:
  This object as an Int32?

static string CommandMessenger.BinaryConverter.ToString | ( | float | value | ) | `[static]`

Convert a float into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static string CommandMessenger.BinaryConverter.ToString | ( | Double | value | ) | `[static]`

Convert a Double into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static string CommandMessenger.BinaryConverter.ToString | ( | int | value | ) | `[static]`

Convert an int into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static string CommandMessenger.BinaryConverter.ToString | ( | uint | value | ) | `[static]`

Convert an unsigned int into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static string CommandMessenger.BinaryConverter.ToString | ( | short | value | ) | `[static]`

Convert a short into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static string CommandMessenger.BinaryConverter.ToString | ( | ushort | value | ) | `[static]`

Convert an unsigned an unsigned short into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static string CommandMessenger.BinaryConverter.ToString | ( | byte | value | ) | `[static]`

Convert a byte into a string representation.

Parameters:

  value | The value to be converted.

Returns:
  A string representation of this object.

static UInt16 CommandMessenger.BinaryConverter.ToUInt16 | ( | String | value | ) | `[static]`

Converts a string representation to a u int 16.

Parameters:

  value | The value to be converted.

Returns:
  Input string as a UInt16?

static UInt32 CommandMessenger.BinaryConverter.ToUInt32 | ( | String | value | ) | `[static]`

Converts a string representation to a u int 32.

Parameters:

  value | The value to be converted.

Returns:
  Input string as a UInt32?

## Property Documentation

Encoding CommandMessenger.BinaryConverter.StringEncoder`[set]`

Sets the string encoder.

The string encoder.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/BinaryConverter.cs